//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Resample/Processed/ReLayout.cpp
//! @brief     Implements class ReLayout.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "Resample/Processed/ReLayout.h"
#include "Resample/Coherence/CoheringSubparticles.h"
#include "Sample/Aggregate/IInterference.h"

namespace {

} // namespace

//  ************************************************************************************************
//  class implementation
//  ************************************************************************************************

ReLayout::ReLayout(double surface_density, OwningVector<const CoheringSubparticles>&& particles,
                   const IInterference* iff)
    : m_surface_density(surface_density)
    , m_particles(std::move(particles))
    , m_iff(iff)
{
}

ReLayout::ReLayout(ReLayout&& other) = default;

ReLayout::~ReLayout() = default;
