//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Sample/HardParticle/HardParticles.h
//! @brief     Includes all particle-shape form-factor definitions.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif

#ifndef USER_API
#ifndef BORNAGAIN_SAMPLE_HARDPARTICLE_HARDPARTICLES_H
#define BORNAGAIN_SAMPLE_HARDPARTICLE_HARDPARTICLES_H

#include "Sample/HardParticle/Bar.h"
#include "Sample/HardParticle/Bipyramid4.h"
#include "Sample/HardParticle/Box.h"
#include "Sample/HardParticle/CantellatedCube.h"
#include "Sample/HardParticle/Cone.h"
#include "Sample/HardParticle/CosineRipple.h"
#include "Sample/HardParticle/Cylinder.h"
#include "Sample/HardParticle/Dodecahedron.h"
#include "Sample/HardParticle/EllipsoidalCylinder.h"
#include "Sample/HardParticle/HemiEllipsoid.h"
#include "Sample/HardParticle/HorizontalCylinder.h"
#include "Sample/HardParticle/Icosahedron.h"
#include "Sample/HardParticle/LongBoxGauss.h"
#include "Sample/HardParticle/LongBoxLorentz.h"
#include "Sample/HardParticle/PlatonicOctahedron.h"
#include "Sample/HardParticle/PlatonicTetrahedron.h"
#include "Sample/HardParticle/Prism3.h"
#include "Sample/HardParticle/Prism6.h"
#include "Sample/HardParticle/Pyramid2.h"
#include "Sample/HardParticle/Pyramid3.h"
#include "Sample/HardParticle/Pyramid4.h"
#include "Sample/HardParticle/Pyramid6.h"
#include "Sample/HardParticle/SawtoothRipple.h"
#include "Sample/HardParticle/Sphere.h"
#include "Sample/HardParticle/Spheroid.h"
#include "Sample/HardParticle/TruncatedCube.h"
#include "Sample/HardParticle/TruncatedSphere.h"
#include "Sample/HardParticle/TruncatedSpheroid.h"

#endif // BORNAGAIN_SAMPLE_HARDPARTICLE_HARDPARTICLES_H
#endif // USER_API
